Subject: [Gen-art] Genart last call review of draft-ietf-pce-rfc6006bis-03

From: Roni Even <[email-masked]>
Date: Sun, 13 Aug 2017 06:47:38 -0700

Reviewer: Roni Even
Review result: Ready with Nits

I am the assigned Gen-ART reviewer for this draft. The General Area
Review Team (Gen-ART) reviews all IETF documents being processed
by the IESG for the IETF Chair.  Please treat these comments just
like any other last call comments.

For more information, please see the FAQ at

<https://trac.ietf.org/trac/gen/wiki/GenArtfaq>.

Document: draft-ietf-pce-rfc6006bis-??
Reviewer: Roni Even
Review Date: 2017-08-13
IETF LC End Date: 2017-08-24
IESG Telechat date: 2017-08-31

Summary: The document is ready for publication as standard track RFC

I read all the document and also did a compare with RFC6006 to look at the
changes.

Major issues:

Minor issues:

Nits/editorial comments:

1. In section 4.2 I am not sure why is this sentence there, is it for the
current yang document or for a future one. Why have it at all?-"The PCEP YANG
module [I-D.ietf-pce-pcep-yang] can be extended to also include the P2MP
related parameters."

---

From: Dhruv Dhody <[email-masked]>
Date: Thu, 17 Aug 2017 09:06:12 +0000

Hi Roni, 

Thanks for your comments. See inline...

> -----Original Message-----
> From: Pce [mailto:[email-masked]] On Behalf Of Roni Even
> Sent: 13 August 2017 19:18
> To: [email-masked]
> Cc: [email-masked]; [email-masked]; [email-masked]
> Subject: [Pce] Genart last call review of draft-ietf-pce-rfc6006bis-03
> 
> Reviewer: Roni Even
> I am the assigned Gen-ART reviewer for this draft. The General Area Review
> Team (Gen-ART) reviews all IETF documents being processed by the IESG for
> the IETF Chair.  Please treat these comments just like any other last call
> comments.
> 
> current yang document or for a future one. Why have it at all?-"The PCEP
> YANG module [I-D.ietf-pce-pcep-yang] can be extended to also include the
> P2MP related parameters."
> 
[[Dhruv Dhody]] The text around MIB existed from RFC6006. Since then the focus has shifted to Yang. 
We wanted to keep this text about Yang to reflect that.  

How about we reword to - 

   The PCEP YANG model is specified in [I-D.ietf-pce-pcep-yang]. The
   YANG models can be augmented to also include the P2MP related
   parameters.

Thanks again for your review. 

Regards,
Dhruv

Working Copy - https://github.com/dhruvdhody-huawei/ietf/blob/master/draft-ietf-pce-rfc6006bis-04.txt

> 
> _______________________________________________
> Pce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/pce

---

From: Roni Even <[email-masked]>
Date: Sat, 19 Aug 2017 14:20:56 +0000

Hi,
I did not see the text in RFC6006bis but this current text does not say much. If there is some work to reference in PCE  like pce-pcep-yang then add it otherwise I suggest to delete this sentence
Roni

> From: Gen-art [mailto:[email-masked]] On Behalf Of Dhruv Dhody
> Sent: יום ה 17 אוגוסט 2017 12:06
> To: Roni Even; [email-masked]
> Subject: Re: [Gen-art] [Pce] Genart last call review of draft-ietf-pce-
> rfc6006bis-03
> 
> Hi Roni,
> 
> > Review Team (Gen-ART) reviews all IETF documents being processed by
> > the IESG for the IETF Chair.  Please treat these comments just like
> > any other last call comments.
> >
> > I read all the document and also did a compare with RFC6006 to look at
> > the changes.
> >
> > Major issues:
> >
> > Minor issues:
> >
> > Nits/editorial comments:
> >
> > 1. In section 4.2 I am not sure why is this sentence there, is it for
> > the current yang document or for a future one. Why have it at
> > all?-"The PCEP YANG module [I-D.ietf-pce-pcep-yang] can be extended to
> > also include the P2MP related parameters."
> >
> Working Copy - https://github.com/dhruvdhody-
> huawei/ietf/blob/master/draft-ietf-pce-rfc6006bis-04.txt
> 
> 
> 
> >
> Gen-art mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/gen-art

---

From: Dhruv Dhody <[email-masked]>
Date: Tue, 22 Aug 2017 06:50:57 +0000

Hi Roni, 

I would like to keep the text, thus I have added more description regarding yang. 

   The PCEP YANG model "ietf-pcep" is specified in [I-D.ietf-pce-pcep-
   yang]. The P2MP capability of a PCEP entity or a configured peer, can
   be set using this YANG model. Also the support for P2MP path
   computation can be learned using this model. The statistics are
   maintained in the model "ietf-pcep-stats" as specified in [I-D.ietf-
   pce-pcep-yang]. This YANG model will be required to be augmented to
   also include the P2MP related statistics.

Hope this works? 

Regards,
Dhruv

Working copy: https://github.com/dhruvdhody-huawei/ietf/blob/master/draft-ietf-pce-rfc6006bis-04.txt

> From: Roni Even
> Sent: 19 August 2017 19:51
> To: Dhruv Dhody <[email-masked]>; Roni Even
> <[email-masked]>; [email-masked]
> Subject: RE: [Pce] Genart last call review of draft-ietf-pce-rfc6006bis-03
> 
> Hi,
> I did not see the text in RFC6006bis but this current text does not say
> much. If there is some work to reference in PCE  like pce-pcep-yang then
> add it otherwise I suggest to delete this sentence Roni
> 
> > > I read all the document and also did a compare with RFC6006 to look
> > > at the changes.
> > >
> > > Major issues:
> > >
> > > Minor issues:
> > >
> > > Nits/editorial comments:
> > >
> > > 1. In section 4.2 I am not sure why is this sentence there, is it
> > > for the current yang document or for a future one. Why have it at
> > > all?-"The PCEP YANG module [I-D.ietf-pce-pcep-yang] can be extended
> > > to also include the P2MP related parameters."
> > >

---

From: "Mirja Kuehlewind (IETF)" <[email-masked]>
Date: Fri, 25 Aug 2017 15:50:40 +0200

Hi Roni, thanks for the review!

> Am 13.08.2017 um 15:47 schrieb Roni Even <[email-masked]>:
> 
> Reviewer: Roni Even